package org.project.entity.enemies;

import org.project.entity.players.Player;
import org.project.utilities.Colors;

public class Vampire extends Enemy {

    public Vampire()
    {
        super("Vampire", 90, 16, 45);
    }

    @Override
    public void attack(Player player)
    {

        player.takeDamage(damage);

        health += 8;

        if (health > maxHealth)
            health = maxHealth;

        System.out.println(Colors.GREEN + "🦇 Vampire drained life!" + Colors.RESET);
    }
}
